!FEMのたわみを読み込んでせん断補正係数kを逆算するプログラム
implicit real*8(a-h,o-z)
!dimension x(500000),y(500000),z(500000)
!入力するファイルの名前
open(8,file='tawami.dat')
!出力するファイルの名前
open (7,file='gyakuk.dat')
!数値(断面に応じて変えること！)
ell=1.0d-2
poason=0.3
p=1.0d3
young=206.0d9
sendandansei=young/(2*(1+poason))
danmenniji=(2.0d-2**4)/12.0d0
enseki=2.0d-2*2.0d-2
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
do i2=100,280,10
ell=ell+1.0d-2
read(8,*) ai,suti
tawami=((p*ell**3.d0)/(3.d0*young*danmenniji))
hosei=(p/(sendandansei*enseki))*(ell/(suti-tawami))
erueiti=ell/2.0d-2
write(7,'(1pe13.5,a,1pe13.5)') erueiti,' ',hosei
end do
close(8)
close(7)
end 
